import validators from '../../validators' 

const { numeric } = validators

test('it should fail with letters', () => {
  expect(numeric('asaddas')).toBeFalsy()
})

test('it should fail with letters mixed with numbers', () => {
  expect(numeric('12a12')).toBeFalsy()
})

test('it should work with numbers', () => {
  expect(numeric(1234)).toBeTruthy()
})

test('it should not work with numbers as string', () => {
  expect(numeric('1231')).toBeTruthy()
})
