import validators from '../../validators' 

const { presence } = validators

test('it should fail validation with empty string', () => {
  expect(presence('')).toBeFalsy()
})

test('it should fail validation with null', () => {
  expect(presence('')).toBeFalsy()
})

test('it should validate correctly with 0', () => {
  expect(presence(0)).toBeTruthy()
  expect(presence('0')).toBeTruthy()
})

test('it should validate correctly with 0', () => {
  expect(presence()).toBeFalsy()
})

