import isEmpty from './helpers/isEmpty'

export default {
  presence: (value) => !isEmpty(value),
  numeric: (value) => !isNaN(parseFloat(value)) && isFinite(value),
  length: (fixedLength) => (value = '') => value && (value.length === fixedLength),
  email: (email) => /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(email)
}

